package com.zanxiang.game.back.base.rpc;

import com.zanxiang.game.back.base.pojo.dto.TencentOrderDTO;
import com.zanxiang.game.back.base.pojo.dto.TencentRoleRegisterRpcDTO;
import com.zanxiang.game.back.base.pojo.dto.TencentUserDTO;
import com.zanxiang.module.util.pojo.ResultVO;

/**
 * 腾讯数据源回传
 */
public interface ITencentUserActionBackRpc {
    /**
     * 订单回传
     */
    ResultVO<Boolean> backOrder(TencentOrderDTO dto);

    /**
     * 用户回传
     */
    ResultVO<Boolean> backUser(TencentUserDTO dto);

    ResultVO<Boolean> backRoleRegister(TencentRoleRegisterRpcDTO dto);
}
